/*
versie 1.5 dHTML: Andre van Groenestein
versie 2.0: algemene scripts toegevoegd (popupVenster)
versie 2.5: idem (rollovers)
6 - 9 - 00 functies dw en ldw: write vervangen door writeln
versie 3.0: compatibiteit met DOM tbv Netscape 6
versie 4.0: navigatie via toetsenbord toegevoegd
*/

var pcaNummer = 228;
// Is dit de DVD- of de cd-versie. De functie laadDVDContent() bepaalt vervolgens wat er gebeurt.
var dvd = false;
var ebook = false;

// debugging... functie onderaan pagina
debug = false;

// Voor opslaan van image-directives
if (document.images)
{	img1on  = new Image(); img1on.src  = "../../media/images/sw_inst1.gif";
    img2on  = new Image(); img2on.src  = "../../media/images/sw_info1.gif";
    img3on  = new Image(); img3on.src  = "../../media/images/sluit_software1.gif";
    img1off = new Image(); img1off.src = "../../media/images/sw_inst.gif";
    img2off = new Image(); img2off.src = "../../media/images/sw_info.gif";
    img3off = new Image(); img3off.src = "../../media/images/sluit_software.gif";
    KnoppenGeladen = true;
}

var isIE     = (navigator.appName.indexOf('Microsoft')   != -1);
var isIE4    = (navigator.appVersion.indexOf('MSIE 4')   != -1);
var isIE55   = (navigator.appVersion.indexOf('MSIE 5.5') != -1);
var Netscape = (navigator.appName == 'Netscape');

var dom1, dom2; dom1 = dom2 = false;
if (document.getElementById)
{    dom1 = dom2 = true;
}

var drag = false; // bij bepaalde objecten wordt deze true tijdens een mousedown event
var X; // positie van het drag & drop venster
var Y;
var objX; // uitgangspositie v/h object tijdens mousedown
var objY;
var mouseX; // uitgangspositie v/d muis tijdens mousedown
var mouseY;
var huidigObject; // het venster dat getoond/verplaatst moet worden

LAYERS    = (isIE) ? "document.all"             : "document.layers";
HIDDEN    = (isIE) ? "hidden"                   : "hide";
VISIBLE   = (isIE || dom1) ? "visible"          : "show";
ZICHTBAAR = (isIE || dom1) ? "style.visibility" : "visibility";

// DOM controle (NS => 5.0, IE => 5.0)
if (dom1)
{    LAYERS = document.getElementById;
}

/*
laadDVDContent krijgt twee argumenten: frame en pagina
Voorbeeld: laadDVDContent('parent', '../tip1/index.htm')
- inladen in het parentframe
- directory is ../tip1 -> ten opzicht van de huidige locatie
*/

function resizeThis(){
   if(document.images["thisImg"]){
	plusX = (document.images["thisImg"].width-100)/steps;
	plusY = (document.images["thisImg"].height-85)/steps;
	timer = window.setInterval("stretchOut()",10);
   }
}


function laadDVDContent(frame, pagina)
{
	locatie = eval(frame + '.location');

	// is dit cd- of dvd-versie
	if (dvd)
	{
		locatie.href = pagina;
	}
	else
	{
		toonCDVersiePopup(locatie, pagina);
	}

}

function toonCDVersiePopup(locatie, pagina)
{
	if (pagina.indexOf('/dvd/') == -1)
	{	// dit is het DVD menu
		locatie.href = 'nietopcd.htm';
	}
	else
	{	// een pagina vanaf cd die linkt naar een DVD onderdeel
		pagina = pagina.substring(0, pagina.indexOf('/dvd/') + 5)
		locatie.href = pagina + 'nietopcd.htm';
	}
}

// breedte van het huidige venster
function getVensterBreedte()
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }
	
	if (isIE) return document.body.clientWidth;
	else      return window.innerWidth;
}

// hoogte van het huidige venster
function getVensterHoogte()
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

	if (isIE) return document.body.clientHeight;
	else      return window.innerHeight;
}

// breedte van het huidige object
function getObjectBreedte(obj)
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

	// Mozilla/NS6 kan de width van een object niet bepalen. Onderstaande werkt dus niet.
	if (dom1 && !isIE) return parseInt(obj.style.width);
	else if (isIE) return obj.clientWidth + 2; // 2 bij optellen, want width klopt niet...?
	else      return obj.clip.width + 2;  // heeft mogelijk met de padding te maken!
}

// lengte van het huidige object
function getObjectHoogte(obj)
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

	// Mozilla/NS6 kan de height van een object niet bepalen. Onderstaande werkt dus niet.
	if (dom1 && !isIE) return parseInt(obj.style.height);
	else if (isIE) return obj.clientHeight + 2; // 2 bij optellen, want height klopt niet...?
	else      return obj.clip.height + 2;  // heeft mogelijk met de padding te maken!
}

// plaats object op positie x, y
function setPositie(obj, x, y)
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

	if(dom2)
	{	obj.style.left = x + 'px';
		obj.style.top  = y + 'px';
	}
	else if (Netscape) obj.moveTo(x, y);
	else
	{	obj.style.pixelLeft = x;
		obj.style.pixelTop  = y;
	}
}

function getPositieX(obj)
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

    // if(dom2)
    //{	return obj.style.left; // plaatst 'px' achter het getal...
    //}
    if (Netscape) // code...?
	{}
    else
    {	return obj.style.pixelLeft;
    }

}

function getPositieY(obj)
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

    // if(dom2)
    //{	return obj.style.top; // plaatst 'px' achter het getal...
    //}
    if (Netscape) // code...?
	{}
    else
    {	return obj.style.pixelTop;
    }
}

function setBoundaries(obj)
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

	objectBreedte = getObjectBreedte(obj);
	objectHoogte  = getObjectHoogte(obj);
	if (objectBreedte > (getVensterBreedte() - X) )
		X = getVensterBreedte() - objectBreedte - 5;
	if (objectHoogte > (getVensterHoogte()  - Y) )
		Y = getVensterHoogte() - objectHoogte - 5;

	dbg('objectBreedte: ' + objectBreedte);
	dbg('objectHoogte: ' + objectHoogte);
	dbg('getVensterBreedte(): ' + getVensterBreedte());
	dbg('X: ' + X);
}

function sluitPopup(nummer)
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

	var popup = "popup" + nummer;
	if (dom1)
	{    document.getElementById(popup).style.visibility = 'hidden';
	}
	else
		eval(LAYERS + "['" + popup + "']." + ZICHTBAAR + "= '" + HIDDEN + "'");
}

function toonPopup(nummer)
{    if (debug)
     {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
      }

	var popup = "popup" + nummer;
	if (dom1)
		document.getElementById(popup).style.visibility = 'visible';
	else
		eval(LAYERS + "['" + popup + "']." + ZICHTBAAR + "= '" + VISIBLE + "'");
}

function openPopup(nummer)
{    if (debug)
    {	dbg_functie     = arguments.callee.toString();
        eind            = dbg_functie.indexOf("{") - 1;
        dbg_functieNaam = dbg_functie.substr(0, eind);
        dbg('<b>' + dbg_functieNaam + '</b>')
        for (var i = 0; i < arguments.length; i++)
        {    dbg('&nbsp; argument ' + i + ': ' + arguments[i])
        }
        dbg('');
    }

	var popup = "popup" + nummer;
    if (dom1)
        huidigObject = document.getElementById(popup);
    else
        huidigObject = eval(LAYERS + "['" + popup + "']");
	
    if (isIE) X = eval(window.event.clientX + 8);
    if (isIE) Y = eval(window.event.clientY + 17);
	setBoundaries(huidigObject);
    setPositie(huidigObject, X, Y);
    toonPopup(nummer);
}

function dragDrop()
{	if (isIE) X = window.event.clientX;
	if (isIE) Y = window.event.clientY;
	if (drag)
	{	X = objX + X - mouseX;
		Y = objY + Y - mouseY;
		setBoundaries(huidigObject);
		setPositie(huidigObject, X, Y);
		return false; // zonder deze wordt de mousedown doorgegeven aan Windows
	}
}

// drag & drop venster
function initDrag(evt)
{	if (dom1)
		huidigObject = document.getElementById('floatingPopup');
	else
		huidigObject = eval(LAYERS + "['floatingPopup']");
	drag   = true;
	if (isIE)
	{	mouseX = event.clientX;
		mouseY = event.clientY;
	}
	else
	{	mouseX = X;
		mouseY = Y;
	}
	objX = parseInt(getPositieX(huidigObject));
	objY = parseInt(getPositieY(huidigObject));
	document.onmousemove = dragDrop;
}

if (dom1)
{	document.onmouseup = new Function("drag = false")
}

function closeFloatingPopup()
{	if (dom1)
		document.getElementById('floatingPopup').style.visibility = "hidden";
	else
		document.floatingPopup.visibility = "hide";
}


// toont een andere image bij mouseOver. Toont de originele bij mouseOut.
var actief = false;
function muis(nummer)
{    if (actief) document["img" + nummer].src = eval("img" + nummer + "off.src");
     else        document["img" + nummer].src = eval("img" + nummer + "on.src");
    actief = (!actief);
}

// bepaal X en Y coordinaat van de muis en roep vervolgens de originele functie aan
function muisNS(evt)
{	X = eval(evt.pageX + 8);
	Y = eval(evt.pageY + 17);
	routeEvent(evt);
}

// coordinaten van de linkerbovenhoek van de interface
var search    = top.location.search.substring(1);
variabelen    = search.split(",");
PCAinterfaceX = variabelen[3];
PCAinterfaceY = variabelen[4];

//PCAinterfaceX = (screen.availWidth - 640) / 2;
//PCAinterfaceY = (screen.availHeight - 480) / 2;

var PopupWeergave       = "resizable=no,status=no,scrollbars=yes";
var PopupWeergaveScroll = "resizable=no,status=no,scrollbars=yes";

PositieX = (isIE) ? "left" : "screenX";
PositieY = (isIE) ? "top"  : "screenY";

// definitie van de vensternaam voor popups
var lokaalVenster = null;

// sluit alle openstaande html popups en verwijder selecties rondom knoppen
function menuFocus()
{	if (lokaalVenster != null && lokaalVenster.open)
		lokaalVenster.close();
	if (parent.menu && parent.menu.lokaalVenster != null && parent.menu.lokaalVenster.open)
	 	parent.menu.lokaalVenster.close(); // in HandsOn's staat de window.open in het menu-frame
//	if (parent.parent.script)
//		parent.parent.script.HerstartMuziek();

	focus;
}

function scriptFout()
{	if (arguments[0].indexOf('RPC') == -1) // remote procedure call: venster is al gesloten, maar IE heeft dat nog niet door...
    {	var fouts = 'Er is iets fout gegaan.'
		fouts += '\nAls u deze problemen vaker hebt of de cd-rom niet';
		fouts += '\ngoed kan gebruiken, stuur dan onderstaande gegevens';
		if (isIE)
			fouts += '\nvia internet naar de redactie.';
		else
			fouts += '\nvia www.pc-active.nl/reactie naar de cd-rom redactie.';
		regel   = arguments[2];
		bug     = arguments[0];
		pagina  = arguments[1];
		uitgave = pcaNummer;
		browser = navigator.appName + ' ' + navigator.appVersion;

		if (isIE)
		{	foutje = "regel: " + regel + "<br>error: " + bug + "<br>pagina: " + pagina + "<br>uitgave: " + uitgave + "<br>browser: " + browser;
			document.getElementById('errorIntro').innerHTML = fouts;
			document.getElementById('errorMelding').innerHTML = foutje;
			document.getElementById('regel').value   = regel;
			document.getElementById('bug').value   = bug;
			document.getElementById('pagina').value  = pagina;
			document.getElementById('uitgave').value = uitgave;
			document.getElementById('browser').value = browser;
			document.getElementById('errorPopup').style.visibility = 'visible';
		}
		else
			alert(fouts + '\n\nregel: ' + regel + '\nerror: ' + bug + '\npagina: ' + pagina + '\nuitgave: ' + uitgave + '\nbrowser: ' + browser);
	}
    return true;
}

function closeError()
{	errorPopup.style.visibility = "hidden";
}

strError = '<div id="errorPopup">';
strError += '<span id=errorTitle onMousedown="initDrag(\'errorPopup\')"> Error</span>';
strError += '<span id="errorIntro">&nbsp;</span>';
strError += '<span id="errorMelding">&nbsp;</span>';
strError += '<center>';
strError += '<form name="cdbug" action="http://www.pcactive.nl/cdrom/cdbug.asp" method="POST">';
	strError += '<input type=hidden name="regel" value="">';
	strError += '<input type=hidden name="bug" value="">';
	strError += '<input type=hidden name="pagina" value="">';
	strError += '<input type=hidden name="uitgave" value="">';
	strError += '<input type=hidden name="browser" value="">';
	strError += '<input type=submit value="verstuur via internet">';
	strError += '<input type=button value="annuleren" onclick="closeError()">';
strError += '</form>';
strError += '</center>';
strError += '</div>';

function getErrorPopup()
{	if (isIE)
		document.write(strError);
	window.onerror = scriptFout;
}

window.onfocus = menuFocus;


// ***  Begin standaardfuncties  *** //

function niets() { void(parent.focus()); }

function dw(string) { document.writeln(string); }

function ldw(string) { lokaalVenster.document.writeln(string); }

// images van de 4 hoofdschermen
imgxon = new Image(); imgxon.src = "../media/images/menu_hm1.gif";
imgaon = new Image(); imgaon.src = "../media/images/menu_sw1.gif";
imgbon = new Image(); imgbon.src = "../media/images/menu_ol1.gif";
imgcon = new Image(); imgcon.src = "../media/images/menu_pc1.gif";
imgdon = new Image(); imgdon.src = "../media/images/menu_cd1.gif";
img_dvdon = new Image(); img_dvdon.src = "../media/images/menu_dvd1.gif";

imgxoff = new Image(); imgxoff.src = "../media/images/menu_hm.gif";
imgaoff = new Image(); imgaoff.src = "../media/images/menu_sw.gif";
imgboff = new Image(); imgboff.src = "../media/images/menu_ol.gif";
imgcoff = new Image(); imgcoff.src = "../media/images/menu_pc.gif";
imgdoff = new Image(); imgdoff.src = "../media/images/menu_cd.gif";
img_dvdoff = new Image(); img_dvdoff.src = "../media/images/menu_dvd.gif";
  
menux = new Image(); menux.src = "../media/images/hfd_hm1.gif"
menua = new Image(); menua.src = "../media/images/hfd_sw.gif"
menub = new Image(); menub.src = "../media/images/hfd_ol.gif"
menuc = new Image(); menuc.src = "../media/images/hfd_pc.gif"
menud = new Image(); menud.src = "../media/images/hfd_cd.gif"
menu_dvd = new Image(); menu_dvd.src = "../media/images/hfd_dvd.gif"
// menuoff caching staat in specifieke directory (zoals /pca/pcactive.js)

// image functies van de 4 hoofdschermen
function rollIn(imgName)
{ document[imgName].src = eval(imgName + "on.src"); }

function rollOut(imgName)
{ document[imgName].src = eval(imgName + "off.src"); }

function DualImageChange(imageID, imageName, imageID2, imageName2)
{	if (KnoppenGeladen)
    {    document.images[imageID].src = eval(imageName + ".src");
         document.images[imageID2].src = eval(imageName2 + ".src");
    }
}

// debugging unit
if (debug)
{   var geopend = true;
    var debugTimeoutID;
    debugWeergave = "top=0,left=0,"+"resizable=yes,status=no,scrollbars=yes";
    schermBreedte = 380; //(screen.availWidth - 640) / 2;
    schermHoogte  = screen.availHeight - 100;
    debugVenster  = window.open("", "Debugwindow", "width=" + schermBreedte + ",height=" + schermHoogte + debugWeergave);
    debugVenster.document.write("<html><body bgcolor=white><font face=helvetica size=2>")
    debugVenster.document.write('<p><b>Debugscript ingeladen vanuit:</b><br>');
    debugVenster.document.write(location.href + '<br>');
    focus();
}
function dbg(string)
{    if (debug)
    {    if (!geopend)
        {    debugVenster.document.open();
            debugVenster.document.write("<html><body bgcolor=white><font face=helvetica size=2>")
            geopend = true;
        }
        debugVenster.document.write(string + '<br>')
        if (debugTimeoutID)
            debugVenster.clearTimeout(debugTimeoutID);
        debugTimeoutID = setTimeout("debugVenster.document.close(); geopend = false;", 2500);
    }
}

function schrijfDebugMelding(string)
{    debugVenster.document.write(string + '<br>');
}
// eind debugging unit


// vang mouseover en mouseouts af om X en Y coordinaat te bepalen
if (Netscape)
{   document.captureEvents(Event.MOUSEOVER | Event.MOUSEOUT);
    document.onmouseover = muisNS;
    document.onmouseout  = muisNS;
//    window.onresize      = opnieuwLaden;
}

var inhoudVenster = null;
function setInhoudPosition()
{    if (Netscape && !dom1)
    {   dx = window.screenX - PCAinterfaceX;
        dy = window.screenY - PCAinterfaceY;
        PCAinterfaceX = window.screenX;
        PCAinterfaceY = window.screenY;
        if (inhoudVenster != null && inhoudVenster.open) 
        {    inhoudVenster.moveBy(dx, dy);
        }
    }
}

// detectie van browsermovement om inhoudsopgave te positioneren
// IE (kent onmove niet), Netscape 6 kent geen van beide
if (Netscape && !dom1)
{    window.onmove           = setInhoudPosition; }
else if (isIE)
{    top.document.onmouseout = setInhoudPosition; }


function load()
{    focus();
}    window.onload = load;

// functies van de HandsOn's. Deze komen uit /intface/pca/handson.js, maar
// IE6 vindt de functie dan te laat (?) wat een error genereert op pag0 van
// de HandsOns.

function Ga(nummer)
{   parent.menu.HuidigePagina = nummer;
    self.location.href = "pag" + nummer + ".htm";
    parent.overzicht.document.bladeren.location.selectedIndex = nummer;
    parent.menu.SetKnoppen();
}

function setStyle(obj, actie)
{	if (actie == 'over')
	{	obj.style.backgroundColor = '#ffffee';
		obj.style.border          = '1px inset #CCCCCC';
	}
	else
	{	obj.style.backgroundColor = '#ffffff';
		obj.style.border          = '1px solid #ffffff';
	}
}

// pictogrammen voor besturingssysteem, bladlogo's en evaluatie
// per pagina worden de waarden (true/false) bepaald
win95    = false;
win98    = false;
winME    = false;
winXP    = false;
winNT    = false;
win2000  = false;
winVISTA = false;
linux    = false;
inBlad   = false;
Aanrader = false;
Evaluatie = 0;

// aangepast met evaluatie-pictogrammen op 26 juli 2005
function toonOSPictogrammen(Evaluatie)
{
if (win95)
	dw('<img src="../../media/images/sw_95.gif" width=22 height=22 border=0 alt="Dit programma draait onder Windows 95">');
if (win98)
	dw('<img src="../../media/images/sw_98.gif" width=22 height=22 border=0 alt="Dit programma draait onder Windows 98/98SE">');
if (winME)
	dw('<img src="../../media/images/sw_me.gif" width=22 height=22 border=0 alt="Dit programma draait onder Windows Me">');
if (winNT)
	dw('<img src="../../media/images/sw_nt.gif" width=22 height=22 border=0 alt="Dit programma draait onder Windows NT">');
if (win2000)
	dw('<img src="../../media/images/sw_2000.gif" width=22 height=22 border=0 alt="Dit programma draait onder Windows 2000">');
if (winXP)
	dw('<img src="../../media/images/sw_xp.gif" width=22 height=22 border=0 alt="Dit programma draait onder Windows XP">');
if (winVISTA)
	dw('<img src="../../media/images/sw_vista.gif" width=22 height=22 border=0 alt="Dit programma draait onder Windows Vista">');
if (linux)
	dw('<img src="../../media/images/sw_linux.gif" width=22 height=22 border=0 alt="Dit programma draait onder Linux">');
if (Evaluatie == 0)
	dw('<img src="../../media/images/SW_FREE.gif" width=28 height=22 border=0 alt="Dit programma kunt u gratis en zonder evaluatieperiode gebruiken">');
if (Evaluatie == 10)
	dw('<img src="../../media/images/SW_10.gif" width=28 height=22 border=0 alt="Dit programma kunt u 10 dagen evalueren">');
if (Evaluatie == 15)
	dw('<img src="../../media/images/SW_15.gif" width=28 height=22 border=0 alt="Dit programma kunt u 15 dagen evalueren">');
if (Evaluatie == 20)
	dw('<img src="../../media/images/SW_20.gif" width=28 height=22 border=0 alt="Dit programma kunt u 20 dagen evalueren">');
if (Evaluatie == 21)
	dw('<img src="../../media/images/SW_21.gif" width=28 height=22 border=0 alt="Dit programma kunt u 21 dagen evalueren">');	
if (Evaluatie == 30)
	dw('<img src="../../media/images/SW_30.gif" width=28 height=22 border=0 alt="Dit programma kunt u 30 dagen evalueren">');
if (Evaluatie == 60)
	dw('<img src="../../media/images/SW_60.gif" width=28 height=22 border=0 alt="Dit programma kunt u 60 dagen evalueren">');
}

function SchrijfExtraInfo()
{
dw ('<table cellspacing=0 cellpadding=0 border=0 class="infoTabel">');
dw ('<tr>');
	dw ('<td>');
		dw ('<div class="pictogrammen">');
		toonOSPictogrammen(Evaluatie);
		dw ('</div>');
	dw ('<div class="sysinfo">');
	dw (Parameters);
	dw ('</div>');
	dw ('</td>');
	dw ('<td valign="top">');
	dw ('<div class="extrainfo">');
	dw ('<b>Extra informatie:</b><br>');
	dw (ExtraInformatie);
	dw ('</div>');
	dw ('<div class="website">');
	dw ('<b>Website:</b><br>');
	dw ('<a href=' + Website + ' target=WebVenster class=weblink>' + Website + '</a>');
	dw ('</div>');
	dw ('</td>');
	dw ('</tr>');
dw ('</table>');
}

// toegevoegd 26 juli 2005
function toonBladPictogrammen()
{
dw('<td border=0 width=150 height=2 align=left>');
if (inBlad)
	dw('<img src="../../media/images/blad.gif" width=50 height=61 border=0 alt="Dit programma wordt besproken in het blad, raadpleeg de inhoudsopgave voor het artikel"</a>');

if (Aanrader)
	dw('<img src="../../media/images/aanrader.gif" width=50 height=61 border=0 alt="Dit programma heeft een aanrader gewonnen. Lees voor meer informatie het artikel in het blad">');
dw('</td></tr>');
dw('</table>');
}

// toegevoegd 20 mei 2003
function getMonth(nummer)
{
	// zet het 4-cijferig nummer om naar een maand
	maand = nummer;
	if (nummer.length == 3)
	{
		// compensatie voor de planningtabel, waarin geen voorloopnummer is geplaatst
		nummer = "0" + nummer;
	}

	if (nummer != "")
	{
		nummer = nummer.toString();
		pcaMaand = nummer.substring(2);
		pcaMaand = parseInt(pcaMaand, 10);
		switch (pcaMaand)
		{
			case 01: maand = "januari"; break;
			case 02: maand = "februari"; break;
			case 03: maand = "maart"; break;
			case 04: maand = "april"; break;
			case 05: maand = "mei"; break;
			case 06: maand = "juni"; break;
			case 07: maand = "juli/augustus"; break;
			case 08: maand = "augustus"; break;
			case 09: maand = "september"; break;
			case 10: maand = "oktober"; break;
			case 11: maand = "november"; break;
			case 12: maand = "december"; break;
			default: maand = pcaMaand; break;
		}
	}
	return maand;
}

function getYear(nummer)
{
	// zet de 4-cijferige PC-Active nummering om naar een het jaartal
	jaar = nummer;
	if (nummer.length == 3)
	{
		// compensatie voor de planningtabel, waarin geen voorloopnummer is geplaatst
		nummer = "0" + nummer;
	}

	if (nummer != "")
	{
		nummer = nummer.toString();
		pcaJaar = nummer.substring(0, 2);
		pcaJaar = parseInt(pcaJaar);
		jaar = pcaJaar + 1988;
	}
	return jaar;
}

function getUitgave(nummer)
{
	if (nummer == 1608)
	{
		uitgave = 'Special video- en fotobewerking 2004';
	}
	else
	{
		uitgave = getMonth(pcaNummer) + ' ' + getYear(pcaNummer);
	}
	return uitgave;
}

function vervangExtendedAscii(woord)
{
return woord;
//	tmp = woord.replace(//g, 'e');
//	return tmp;
}

mailVenster = null;

function mail(naam)
{
	// Toont een mailformulier.
	// Op de pagina waar de mail-functie wordt aangeroepen mogen zowel
	// diacritische tekens worden gebruikt, als hun html equivalent. Dus
	// zowel Andr als Andr&eacute; is toegestaan.
	var auteurID;
	auteurs = new Array
	(
	6,  'Henk van de Kamer',
	2,  'Mark Gamble',
	46, 'Redactie',
	23, 'Jennifer Abdoelhafiezkhan',
	12, 'Berend Dekens',
	13, 'Daan Steenmeijer',
	22, 'Jan Roza',
	38, 'Yves Sucaet',
	11, 'Benny Lootens',
	48, 'cdrom',
	4,  'Rick van Eeden',
	49, 'Ingeborg Claessens',
	50, 'Gidy Blom',
	51, 'Fred van Bergen',
	35, 'Roy Munsterman',
	37, 'Toon van Daele',
	28, 'Martijn de Visser',
	42, 'Arnout Terpstra',
	25, 'Kevin Levie',
	16, 'Douwe Osinga',
	40, 'Hans-Peter Harmsen',
	27, 'Mark Monster',
	33, 'Robbert Wethmar',
	31, 'Natasja Capelle',
	52, 'Frank Meurs',
	53, 'Tamara Vlot',
	54, 'Ren Rikkers',
	55, 'Bert Bakker',
	56, 'Bas Degelink'
	);

	// sluit eventueel geopende mailvensters
	if (mailVenster != null && mailVenster.open)
		mailVenster.close();

	for (auteurTeller = 0; auteurTeller <= auteurs.length - 1; auteurTeller += 2)
	{
		if (auteurs[auteurTeller + 1] == naam)
			auteurID = auteurTeller;
	}
	if (auteurID == null)
		auteurID = 8; // auteur is niet gevonden: mail naar de redactie

	strMail = '<html><head>';
	strMail += '<title>Mailen met PC-Active</title>';
	strMail += '<style>';
	strMail += 'body { font-family: verdana, arial, helvetica, sans-serif; font-size:10pt; }';
	strMail += '.titel { font-size: 12pt; font-weight: bold; }';
	strMail += 'select, input, textarea { background-color: #dedede; }';
	strMail += 'p { margin-top: 10px; margin-bottom: 0px; }';
	strMail += '</style>';
	strMail += '</head><body onload="focus()" bgcolor="#f0f0f0" background="../images/popupback.gif">';
	strMail += '<span class=titel>Mailen met PC-Active</span>';
	strMail += '<br>';
	strMail += 'Voer hieronder uw reactie in. Zorg ervoor dat u uw e-mailadres correct invult, want alleen dan kunt u een reactie terug krijgen!';
	strMail += '<p>';

	strMail += '<form name="reactie" action="http://www.pcactive.nl/reactie/vancd.asp" method="POST">';

	onderdeel = location.href.substr(location.href.toLowerCase().indexOf('intface') + 8);

	strMail += '<input type=hidden name=pagina value="' + onderdeel + '">';

	strMail += '<b>Verstuur bericht aan</b><br>';
	strMail += '<select name=auteur onchange="document.reactie.email.focus()">';
	strMail += '	<option value="">- selecteer -</option>';
					for (auteurTeller = 0; auteurTeller <= auteurs.length - 1; auteurTeller += 2)
					{
						strMail += '<option value=' + auteurs[auteurTeller];
						if (auteurID == auteurTeller)
						{
							strMail += ' selected';
						}
						if (auteurs[auteurTeller] == 'cdrom')
						{
							strMail += '>cdrom redactie</option>';
						}

						strMail += '>' + auteurs[auteurTeller + 1] + '</option>';
					}
	strMail += '</select>';
	strMail += '<p>';

	strMail += '<b>PC-Active maand/jaar/artikel</b><br>';
	strMail += '<input type="text" name="uitgave" size=40 value="' + getUitgave(pcaNummer) + '">';
	strMail += '<p>';

	strMail += '<b>Mijn e-mailadres</b><br>';
	strMail += '<input type="text" name="email" size=40 maxlength=60>';
	strMail += '<p>';

	strMail += '<b>Mijn naam</b><br>';
	strMail += '<input type="text" name="naam" size=40 maxlength=60>';
	strMail += '<p>';

	strMail += '<b>Mijn reactie</b><br>';
	strMail += '<textarea name="reactie" cols=46 rows=6></textarea>';
	strMail += '<p>';

	strMail += '<input type=submit value="verstuur via internet"> ';
	strMail += '<input type=button value="annuleren" onclick="self.close()">';
	strMail += '</form>';

	mailVenster = window.open("", "Informatie", "width=460,height=460,"+PositieY+"=" + PCAinterfaceY + ","+PositieX+"=" + PCAinterfaceX + PopupWeergave);

	mailVenster.document.write(strMail);
	mailVenster.document.close();
}

function setAuteur(auteur)
{
	document.write ('<a href="javascript:mail(\'' + auteur + '\')" class=weblink><b>' + auteur + '</b></a>');
}

//toegevoegd 23-06-2007

function installeerURL(programma, linktekst)
{
if (ebook == true) {
	PreURL	 =  "#DO#OPEN#$DRV$\\";
	instURL  =  "<a href=\"" + PreURL + programma + "\" class=weblink>" + linktekst + "</a>";
	}
	else
	{
	PreURL	 =  "..\\..\\..\\";
	instURL  =  "<a href=\"" + PreURL + programma + "\" class=weblink>" + linktekst + "</a>";
	}
dw(instURL);
}

function installeerKnop(programma)
{
if (ebook == true) {
	PreURL 		= "#DO#OPEN#$DRV$\\";
	instString  = "<a href=\"" + PreURL + programma + "\" ";
	instString += "onMouseOver=\"rollIn('img1'); return true\" ";
	instString += "onMouseOut=\"rollOut('img1'); return true\">";
	instString += "<img src=\"../../media/images/sw_inst.gif\" border=0 alt=\"\" name=\"img1\" width=95 height=11>";
	instString += "</a>";
	}
	else
	{
	PreURL 		= "..\\..\\..\\";
	instString  = "<a href=\"" + PreURL + programma + "\" ";
	instString += "onMouseOver=\"rollIn('img1'); return true\" ";
	instString += "onMouseOut=\"rollOut('img1'); return true\">";
	instString += "<img src=\"../../media/images/sw_inst.gif\" border=0 alt=\"\" name=\"img1\" width=95 height=11>";
	instString += "</a>";
	}
dw(instString);
}

function sluitKnop()
{
if (ebook == true) {
	KnopString  = "<a href=\"#DO#EXIT#\" onMouseOver=\"rollIn('img3'); return true\" ";
	KnopString += "onMouseOut=\"rollOut('img3'); return true\">";
	KnopString += "<img src=\"../../media/images/sluit_software.gif\" border=0 alt=\"\" ";
	KnopString += "name=\"img3\" width=95 height=11></a>";	
	}
	else
	{
	KnopString  = "<a href=\"javascript:top.window.close()\" onMouseOver=\"rollIn('img3'); return true\" ";
	KnopString += "onMouseOut=\"rollOut('img3'); return true\">";
	KnopString += "<img src=\"../../media/images/sluit_software.gif\" border=0 alt=\"\" ";
	KnopString += "name=\"img3\" width=95 height=11></a>";
	}
dw (KnopString);
}