/*
=================================================================

// toetsnavigatie: door Andre van Groenestein en Bart in 't Veld
// versie 1.0: juli 2001 (PCA1309)

** versie 1.1: november 2001 (PCA1311)
** check op locatie relatief gemaakt tov intface directory


=================================================================
*/

var keys;
// de Array wordt overruled in de games- en sharewarebestanden (GDI script): die dus altijd ook aanpassen...

function loadMainKeys()
{
keys = new Array(
"location.href = 'pca/zoeken/index.htm'", "114" // F3: zoeken
,"location.href = 'pca/index.htm'", "80" // p-toets voor pc-active scherm
,"location.href = 'software/index.htm'", "83" // s-toets voor software scherm
,"location.href = 'online/index.htm'", "79" // o-toets voor online scherm
,"location.href = 'about/index.htm'", "67" // c-toets voor optie/colofon scherm
,"closeFloatingPopup()", "27" // escape: sluit het venster

//,"location.href = 'dvd/index.htm'", "68" // d-toets voor dvd scherm
);
}

function loadMenuKeys()
{
keys = new Array(
"parent.location.href  = '../main.htm'", "36" // home: ga naar het menu van de huidige sectie
,"Volgende()", "33" // page up: navigeer naar volgende pagina
,"Volgende()", "39" // rightArrow: navigeer naar volgende pagina
,"Volgende()", "40" // downArrow: navigeer naar volgende pagina
,"Volgende()", "107" // plus (numeriek): navigeer naar volgende pagina
,"Volgende()", "187" // plus: navigeer naar volgende pagina
,"parent.location.href = '../pca/zoeken/index.htm'", "114" // F3: zoeken
,"parent.location.href = '../pca/index.htm'", "80" // p-toets voor pc-active scherm
,"parent.location.href = '../software/index.htm'", "83" // s-toets voor software scherm
,"parent.location.href = '../online/index.htm'", "79" // o-toets voor online scherm
,"parent.location.href = '../about/index.htm'", "67" // c-toets voor optie/colofon scherm
,"parent.location.href = '../pca/tools/hoofd.htm'", "68" // d-toets voor dvd scherm
,"parent.location.href = '../hoofd.htm'", "72" // h-toets voor hoofdscherm
);
}
	
function loadGameKeys()
{
var keys = new Array(
"parent.menu.LaadPagina('menu')", "36" // home: ga naar het menu van de huidige sectie
,"history.go(-1)", "27" // escape: sluit het venster
,"Volgende()", "33" // page up: navigeer naar volgende pagina
,"Volgende()", "39" // rightArrow: navigeer naar volgende pagina
,"Volgende()", "40" // downArrow: navigeer naar volgende pagina
,"Volgende()", "107" // plus (numeriek): navigeer naar volgende pagina
,"Volgende()", "187" // plus: navigeer naar volgende pagina
,"Vorige()", "34" // page down: navigeer naar vorige pagina
,"Vorige()", "37" // leftArrow: navigeer naar vorige pagina
,"Vorige()", "38" // upArrow: navigeer naar vorige pagina
,"Vorige()", "109" // min (numeriek): navigeer naar vorige pagina
,"Vorige()", "189" // min: navigeer naar vorige pagina
,"parent.location.href = '../../pca/zoeken/index.htm'", "114" // F3: zoeken
);
}

function loadOtherKeys()
{
keys = new Array(
//"shift", "16", "ctrl", "17", "alt", "18", "spatie", "32"
"parent.menu.LaadPagina('menu')", "36" // home: ga naar het menu van de huidige sectie
,"parent.menu.Volgende()", "33" // page up: navigeer naar volgende pagina
,"parent.menu.Volgende()", "39" // rightArrow: navigeer naar volgende pagina
,"parent.menu.Volgende()", "40" // downArrow: navigeer naar volgende pagina
,"parent.menu.Volgende()", "107" // plus (numeriek): navigeer naar volgende pagina
,"parent.menu.Volgende()", "187" // plus: navigeer naar volgende pagina
,"parent.menu.Vorige()", "34" // page down: navigeer naar vorige pagina
,"parent.menu.Vorige()", "37" // leftArrow: navigeer naar vorige pagina
,"parent.menu.Vorige()", "38" // upArrow: navigeer naar vorige pagina
,"parent.menu.Vorige()", "109" // min (numeriek): navigeer naar vorige pagina
,"parent.menu.Vorige()", "189" // min: navigeer naar vorige pagina
,"parent.location.href = '../../pca/zoeken/index.htm'", "114" // F3: zoeken
,"parent.location.href = '../../pca/index.htm'", "80" // p-toets voor pc-active scherm
,"parent.location.href = '../../software/index.htm'", "83" // s-toets voor software scherm
,"parent.location.href = '../../online/index.htm'", "79" // o-toets voor online scherm
,"parent.location.href = '../../about/index.htm'", "67" // c-toets voor optie/colofon scherm
,"parent.location.href = '../../dvd/index.htm'", "68" // d-toets voor dvd scherm
,"parent.location.href = '../../frame.htm'", "72" // h-toets voor hoofdscherm
);
}

function loadF3Key()
{ keys = new Array ("parent.location.href = '../../pca/zoeken/index.htm'", "114") // F3: zoeken
}

function removeKeys() // verwijdert alle toetsnavigatie
{	keys = new Array();
}

function setKeys(welke) // wordt o.a. aangeroepen vanuit stemming
{	if (welke == 0)
	{	removeKeys()
		loadF3Key()
	}
	else
		loadOtherKeys()
}

function whichScreen()
{	// bepaalt waar we ons op de cd bevinden.

	intface    = location.href.toLowerCase().indexOf('intface');
	path       = location.href.substr(intface);
	var scherm = path.split("/");
    scherm     = scherm.length; // diepte van de directorystructuur
	switch(scherm)
	{	case 2: return 0; break; // het openingsscherm
		case 3: return 1; break; // een menuscherm
		case 4:
			if (location.href.indexOf('games/dia_') > -1)
				return 3;
			else
				return 2;
			break; // in de content (bijv. HandsOn)
		default: return -1; break; // onbekende lokatie: geen toetsnavigatie
	}
}

function navigate(key)
{
	myKeyCode = isIE ? event.keyCode : key.which;

	//	alert(String.fromCharCode(myKeyCode)); // geeft het ingetikte teken
	//	alert(myKeyCode); // geeft het ascii-nummer van het ingetikte teken
	if (isIE)
	{	if (event.ctrlKey) // toetscombinaties met CTRL-toets afvangen: deze werkt alleen in IE
		{	if ((myKeyCode != 114) || (myKeyCode == 67)) // 114 = F3-toets: deze wel uitvoeren.
			{	return true;
			}
		}
	}
	for (var i = 1; i < keys.length; i+=2)
		if (myKeyCode == keys[i])
		{	eval(keys[i - 1]);
			return false;
			break;
		}
}

// Functietoets F1 kan niet door navigate() worden bepaald: het
// helpscherm van IE wordt ondanks return false toch weergegeven...
function help()
{    // ingebouwd in IE
    if (whichScreen() == 0) // zitten we op een van de menuschermen?
        location.href = "about/help/index.htm";
    else if (whichScreen() == 1)
        parent.location.href = "../about/help/index.htm";
    else if ( (whichScreen() == 2) || (whichScreen() == 3) )
        parent.location.href = "../../about/help/index.htm";
    return false;
}    window.onhelp = help;


// initialisatie.
if (dom1) // Netscape 4.x wordt niet ondersteund (versie > 6 wel).
{	// afhankelijk van de locatie op de cd moet de juiste array worden ingeladen
	switch(whichScreen())
	{	case 0: loadMainKeys();  break;
		case 1: loadMenuKeys();  break;
		case 2: loadOtherKeys(); break;
		case 3: loadGameKeys();  break;
	}
	if (whichScreen() != -1)
		document.onkeydown = navigate;
}
